Package com.collibra.dgc.importer.core.api.request

# Class FileImportRequest

Object
BaseImportRequest
FileImportRequest

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `SynchronizationBatchRequest`, `SynchronizationRequest`

@Deprecated public class FileImportRequest extends BaseImportRequest
Deprecated.
This class will be removed in the future. Please, use `ImportJsonInJobRequest`.
The request defining import call properties from file.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FileImportRequest.Builder<T extends FileImportRequest,B extends FileImportRequest.Builder<T,B>>`
  Deprecated.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `FileImportRequest()`
  Deprecated.
  `protected`
  `FileImportRequest(FileImportRequest.Builder<? extends FileImportRequest,?> builder)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FileImportRequest.Builder<? extends FileImportRequest,?>`
  `builder()`
  Deprecated.
  `File`
  `getFile()`
  Deprecated.
  `UUID`
  `getFileId()`
  Deprecated.
  `String`
  `getFileName()`
  Deprecated.
  `void`
  `setFile(File file)`
  Deprecated.
  Sets the file containing import request.
  `void`
  `setFileId(UUID fileId)`
  Deprecated.
  Sets the `id` of the file containing import request.
  `void`
  `setFileName(String fileName)`
  Deprecated.
  Sets the name of the file used for import.

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, isSendNotification`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileImportRequest

    public FileImportRequest()
    Deprecated.

  - ### FileImportRequest

    protected FileImportRequest(FileImportRequest.Builder<? extends FileImportRequest,?> builder)
    Deprecated.

- ## Method Details

  - ### builder

    public static FileImportRequest.Builder<? extends FileImportRequest,?> builder()
    Deprecated.

  - ### getFileId

    public UUID getFileId()
    Deprecated.

  - ### setFileId

    public void setFileId(UUID fileId)
    Deprecated.
    Sets the `id` of the file containing import request.

    NOTE: if this field is used, `file` and `fileName` should not be set.

    Parameters:
      `fileId` - the `id` of the file containing import request

  - ### getFile

    public File getFile()
    Deprecated.

  - ### setFile

    public void setFile(File file)
    Deprecated.
    Sets the file containing import request.

    NOTE: if this field is used, `fileId` should not be set.

    Parameters:
      `file` - the file containing import request

  - ### getFileName

    public String getFileName()
    Deprecated.

  - ### setFileName

    public void setFileName(String fileName)
    Deprecated.
    Sets the name of the file used for import. Should be set if `file` is set.

    NOTE: if this field is used, `fileId` should not be set.

    Parameters:
      `fileName` - the name of the file used for import